Bug 1730928 - [abrt] supertuxkart: std::__replacement_assert(): supertuxkart killed by SIGABRT
Summary: [abrt] supertuxkart: std::__replacement_assert(): supertuxkart killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: supertuxkart
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8c4608c433a78503905c2e9bc7e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-17 22:07 UTC by John F Sullivan
Modified: 2020-05-26 16:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:12:54 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (68.74 KB, text/plain)
2019-07-17 22:07 UTC, John F Sullivan
no flags Details
File: cgroup (341 bytes, text/plain)
2019-07-17 22:07 UTC, John F Sullivan
no flags Details
File: core_backtrace (28.90 KB, text/plain)
2019-07-17 22:07 UTC, John F Sullivan
no flags Details
File: cpuinfo (1.48 KB, text/plain)
2019-07-17 22:07 UTC, John F Sullivan
no flags Details
File: dso_list (9.46 KB, text/plain)
2019-07-17 22:07 UTC, John F Sullivan
no flags Details
File: environ (3.90 KB, text/plain)
2019-07-17 22:07 UTC, John F Sullivan
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-17 22:07 UTC, John F Sullivan
no flags Details
File: maps (148.65 KB, text/plain)
2019-07-17 22:07 UTC, John F Sullivan
no flags Details
File: mountinfo (8.07 KB, text/plain)
2019-07-17 22:07 UTC, John F Sullivan
no flags Details
File: open_fds (1013 bytes, text/plain)
2019-07-17 22:07 UTC, John F Sullivan
no flags Details
File: proc_pid_status (1.37 KB, text/plain)
2019-07-17 22:07 UTC, John F Sullivan
no flags Details

Description John F Sullivan 2019-07-17 22:07:00 UTC
Description of problem:
We connected two Playstation 3 controllers via Bluetooth, configured the controls through Super Tux Kart, and then attempted to start a local multiplayer game.  The game repeatedly crashed.

Version-Release number of selected component:
supertuxkart-1.0-1.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        supertuxkart
crash_function: std::__replacement_assert
executable:     /usr/bin/supertuxkart
journald_cursor: s=9ff107f649304f469a6fb1c5671d42bc;i=14ec0;b=8ea5443056f14b16aa59394e66960abf;m=20edb1828e;t=58de7543c36d3;x=2543ab6e3b3fa547
kernel:         5.1.16-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 John F Sullivan 2019-07-17 22:07:04 UTC
Created attachment 1591603 [details]
File: backtrace

Comment 2 John F Sullivan 2019-07-17 22:07:05 UTC
Created attachment 1591604 [details]
File: cgroup

Comment 3 John F Sullivan 2019-07-17 22:07:07 UTC
Created attachment 1591605 [details]
File: core_backtrace

Comment 4 John F Sullivan 2019-07-17 22:07:08 UTC
Created attachment 1591606 [details]
File: cpuinfo

Comment 5 John F Sullivan 2019-07-17 22:07:10 UTC
Created attachment 1591607 [details]
File: dso_list

Comment 6 John F Sullivan 2019-07-17 22:07:11 UTC
Created attachment 1591608 [details]
File: environ

Comment 7 John F Sullivan 2019-07-17 22:07:12 UTC
Created attachment 1591609 [details]
File: limits

Comment 8 John F Sullivan 2019-07-17 22:07:14 UTC
Created attachment 1591610 [details]
File: maps

Comment 9 John F Sullivan 2019-07-17 22:07:16 UTC
Created attachment 1591611 [details]
File: mountinfo

Comment 10 John F Sullivan 2019-07-17 22:07:17 UTC
Created attachment 1591612 [details]
File: open_fds

Comment 11 John F Sullivan 2019-07-17 22:07:18 UTC
Created attachment 1591613 [details]
File: proc_pid_status

Comment 12 Ben Cotton 2020-04-30 21:32:20 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Ben Cotton 2020-05-26 16:12:54 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.